#
# spec file for package ghc-x509-validation
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name x509-validation
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        1.6.12
Release:        150500.1.1
Summary:        X.509 Certificate and CRL validation
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-asn1-encoding-devel
BuildRequires:  ghc-asn1-types-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-cryptonite-devel
BuildRequires:  ghc-data-default-class-devel
BuildRequires:  ghc-hourglass-devel
BuildRequires:  ghc-memory-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-pem-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-x509-devel
BuildRequires:  ghc-x509-store-devel
ExcludeArch:    %{ix86}
%if %{with tests}
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-hunit-devel
%endif

%description
X.509 Certificate and CRL validation. please see README.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%autosetup -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files

%changelog
* Mon Jan 17 2022 psimons@suse.com
- Update x509-validation to version 1.6.12.
  Upstream does not provide a change log file.
* Thu Dec 17 2020 mimi.vx@gmail.com
- disable %%{ix86} build
* Tue Aug 18 2020 psimons@suse.com
- Replace %%setup -q with the more modern %%autosetup macro.
* Tue Jun 16 2020 psimons@suse.com
- Re-generate file with latest version of spec-cleaner.
* Fri Nov  8 2019 psimons@suse.com
- Drop obsolete group attributes.
* Mon Nov  5 2018 psimons@suse.com
- Update x509-validation to version 1.6.11.
  Upstream does not provide a change log file.
* Sat Oct 20 2018 psimons@suse.com
- Use https URL to refer to bugs.opensuse.org.
* Wed Jul 18 2018 psimons@suse.com
- Cosmetic: replace tabs with blanks, strip trailing white space,
  and update copyright headers with spec-cleaner.
* Mon May 14 2018 psimons@suse.com
- Update x509-validation to version 1.6.10 revision 1.
  Upstream does not provide a changelog.
* Thu Jul 27 2017 psimons@suse.com
- Update to version 1.6.8.
* Tue Oct 11 2016 psimons@suse.com
- Update to version 1.6.5 with cabal2obs.
* Mon Sep 26 2016 psimons@suse.com
- Update to version 1.6.4 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.6.3 revision 0 with cabal2obs.
* Sun Sep 27 2015 mimi.vx@gmail.com
- update to 1.6.3
* Sun Sep 13 2015 mimi.vx@gmail.com
- update to 1.6.2
* Thu Aug  6 2015 mimi.vx@gmail.com
- update to 1.6.0
* Sun May 10 2015 mimi.vx@gmail.com
- update to 1.5.2
  * no upstream changelog
* Thu Apr 23 2015 mimi.vx@gmail.com
- initial commit
